Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util
Class ImperativeOCLSwitch<T>

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL.util.ImperativeOCLSwitch<T>

    public class ImperativeOCLSwitch<T>

extends java.lang.Object

The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.

See Also:
  `ImperativeOCLPackage`

Field Summary
`protected static ImperativeOCLPackage` | `modelPackage` The cached model package

Constructor Summary
`ImperativeOCLSwitch()` Creates an instance of the switch

Method Summary
`T` | `caseAltExp(AltExp object)` Returns the result of interpreting the object as an instance of 'Alt Exp'
`T` | `caseAssertExp(AssertExp object)` Returns the result of interpreting the object as an instance of 'Assert Exp'
`T` | `caseAssignExp(AssignExp object)` Returns the result of interpreting the object as an instance of 'Assign Exp'
`T` | `caseASTNode(ASTNode object)` Returns the result of interpreting the object as an instance of 'AST Node'
`T` | `caseBlockExp(BlockExp object)` Returns the result of interpreting the object as an instance of 'Block Exp'
`T` | `caseBreakExp(BreakExp object)` Returns the result of interpreting the object as an instance of 'Break Exp'
`
`<C> T`
` | `caseCallExp( object)` Returns the result of interpreting the object as an instance of 'Call Exp'
`T` | `caseCallingASTNode(CallingASTNode object)` Returns the result of interpreting the object as an instance of 'Calling AST Node'
`T` | `caseCatchExp(CatchExp object)` Returns the result of interpreting the object as an instance of 'Catch Exp'
`
`<C,O> T`
` | `caseCollectionType( object)` Returns the result of interpreting the object as an instance of 'Collection Type'
`T` | `caseComputeExp(ComputeExp object)` Returns the result of interpreting the object as an instance of 'Compute Exp'
`T` | `caseContinueExp(ContinueExp object)` Returns the result of interpreting the object as an instance of 'Continue Exp'
`T` | `caseDictionaryType(DictionaryType object)` Returns the result of interpreting the object as an instance of 'Dictionary Type'
`T` | `caseDictLiteralExp(DictLiteralExp object)` Returns the result of interpreting the object as an instance of 'Dict Literal Exp'
`T` | `caseDictLiteralPart(DictLiteralPart object)` Returns the result of interpreting the object as an instance of 'Dict Literal Part'
`T` | `caseEClass(EClass object)` Returns the result of interpreting the object as an instance of 'EClass'
`T` | `caseEClassifier(EClassifier object)` Returns the result of interpreting the object as an instance of 'EClassifier'
`T` | `caseEcore_CallExp(org.eclipse.ocl.ecore.CallExp object)` Returns the result of interpreting the object as an instance of 'Call Exp'
`T` | `caseEcore_CollectionType(org.eclipse.ocl.ecore.CollectionType object)` Returns the result of interpreting the object as an instance of 'Collection Type'
`T` | `caseEcore_FeatureCallExp(org.eclipse.ocl.ecore.FeatureCallExp object)` Returns the result of interpreting the object as an instance of 'Feature Call Exp'
`T` | `caseEcore_LiteralExp(org.eclipse.ocl.ecore.LiteralExp object)` Returns the result of interpreting the object as an instance of 'Literal Exp'
`T` | `caseEcore_LoopExp(org.eclipse.ocl.ecore.LoopExp object)` Returns the result of interpreting the object as an instance of 'Loop Exp'
`T` | `caseEcore_OCLExpression(org.eclipse.ocl.ecore.OCLExpression object)` Returns the result of interpreting the object as an instance of 'OCL Expression'
`T` | `caseEcore_OperationCallExp(org.eclipse.ocl.ecore.OperationCallExp object)` Returns the result of interpreting the object as an instance of 'Operation Call Exp'
`T` | `caseEDataType(EDataType object)` Returns the result of interpreting the object as an instance of 'EData Type'
`T` | `caseEModelElement(EModelElement object)` Returns the result of interpreting the object as an instance of 'EModel Element'
`T` | `caseENamedElement(ENamedElement object)` Returns the result of interpreting the object as an instance of 'ENamed Element'
`T` | `caseETypedElement(ETypedElement object)` Returns the result of interpreting the object as an instance of 'ETyped Element'
`
`<C> T`
` | `caseFeatureCallExp( object)` Returns the result of interpreting the object as an instance of 'Feature Call Exp'
`T` | `caseForExp(ForExp object)` Returns the result of interpreting the object as an instance of 'For Exp'
`T` | `caseImperativeExpression(ImperativeExpression object)` Returns the result of interpreting the object as an instance of 'Imperative Expression'
`T` | `caseImperativeIterateExp(ImperativeIterateExp object)` Returns the result of interpreting the object as an instance of 'Imperative Iterate Exp'
`T` | `caseImperativeLoopExp(ImperativeLoopExp object)` Returns the result of interpreting the object as an instance of 'Imperative Loop Exp'
`T` | `caseInstantiationExp(InstantiationExp object)` Returns the result of interpreting the object as an instance of 'Instantiation Exp'
`T` | `caseListLiteralExp(ListLiteralExp object)` Returns the result of interpreting the object as an instance of 'List Literal Exp'
`T` | `caseListType(ListType object)` Returns the result of interpreting the object as an instance of 'List Type'
`
`<C> T`
` | `caseLiteralExp( object)` Returns the result of interpreting the object as an instance of 'Literal Exp'
`T` | `caseLogExp(LogExp object)` Returns the result of interpreting the object as an instance of 'Log Exp'
`
`<C,PM> T`
` | `caseLoopExp( object)` Returns the result of interpreting the object as an instance of 'Loop Exp'
`
`<C> T`
` | `caseOCLExpression( object)` Returns the result of interpreting the object as an instance of 'OCL Expression'
`
`<C,O> T`
` | `caseOperationCallExp( object)` Returns the result of interpreting the object as an instance of 'Operation Call Exp'
`T` | `caseOrderedTupleLiteralExp(OrderedTupleLiteralExp object)` Returns the result of interpreting the object as an instance of 'Ordered Tuple Literal Exp'
`T` | `caseOrderedTupleLiteralPart(OrderedTupleLiteralPart object)` Returns the result of interpreting the object as an instance of 'Ordered Tuple Literal Part'
`T` | `caseOrderedTupleType(OrderedTupleType object)` Returns the result of interpreting the object as an instance of 'Ordered Tuple Type'
`
`<O> T`
` | `casePredefinedType( object)` Returns the result of interpreting the object as an instance of 'Predefined Type'
`T` | `caseRaiseExp(RaiseExp object)` Returns the result of interpreting the object as an instance of 'Raise Exp'
`T` | `caseReturnExp(ReturnExp object)` Returns the result of interpreting the object as an instance of 'Return Exp'
`T` | `caseSwitchExp(SwitchExp object)` Returns the result of interpreting the object as an instance of 'Switch Exp'
`T` | `caseTryExp(TryExp object)` Returns the result of interpreting the object as an instance of 'Try Exp'
`T` | `caseTypedASTNode(TypedASTNode object)` Returns the result of interpreting the object as an instance of 'Typed AST Node'
`T` | `caseTypedef(Typedef object)` Returns the result of interpreting the object as an instance of 'Typedef'
`
`<C> T`
` | `caseTypedElement( object)` Returns the result of interpreting the object as an instance of 'Typed Element'
`T` | `caseUnlinkExp(UnlinkExp object)` Returns the result of interpreting the object as an instance of 'Unlink Exp'
`T` | `caseUnpackExp(UnpackExp object)` Returns the result of interpreting the object as an instance of 'Unpack Exp'
`T` | `caseVariableInitExp(VariableInitExp object)` Returns the result of interpreting the object as an instance of 'Variable Init Exp'
`T` | `caseVisitable(Visitable object)` Returns the result of interpreting the object as an instance of 'Visitable'
`T` | `caseWhileExp(WhileExp object)` Returns the result of interpreting the object as an instance of 'While Exp'
`T` | `defaultCase(EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
`protected T` | `doSwitch(EClass theEClass, EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
`T` | `doSwitch(EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### modelPackage

    protected static ImperativeOCLPackage modelPackage

  The cached model package

Constructor Detail

### ImperativeOCLSwitch

    public ImperativeOCLSwitch()

  Creates an instance of the switch.

Method Detail

### doSwitch

    public T doSwitch(EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### doSwitch

    protected T doSwitch(EClass theEClass,
                         EObject theEObject)

  Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.

  Returns:
    the first non-null result returned by a `caseXXX` call.

### caseAltExp

    public T caseAltExp(AltExp object)

  Returns the result of interpreting the object as an instance of 'Alt Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Alt Exp'.
  See Also:
    `doSwitch(EObject)`

### caseAssertExp

    public T caseAssertExp(AssertExp object)

  Returns the result of interpreting the object as an instance of 'Assert Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Assert Exp'.
  See Also:
    `doSwitch(EObject)`

### caseAssignExp

    public T caseAssignExp(AssignExp object)

  Returns the result of interpreting the object as an instance of 'Assign Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Assign Exp'.
  See Also:
    `doSwitch(EObject)`

### caseBlockExp

    public T caseBlockExp(BlockExp object)

  Returns the result of interpreting the object as an instance of 'Block Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Block Exp'.
  See Also:
    `doSwitch(EObject)`

### caseBreakExp

    public T caseBreakExp(BreakExp object)

  Returns the result of interpreting the object as an instance of 'Break Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Break Exp'.
  See Also:
    `doSwitch(EObject)`

### caseCatchExp

    public T caseCatchExp(CatchExp object)

  Returns the result of interpreting the object as an instance of 'Catch Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Catch Exp'.
  See Also:
    `doSwitch(EObject)`

### caseComputeExp

    public T caseComputeExp(ComputeExp object)

  Returns the result of interpreting the object as an instance of 'Compute Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Compute Exp'.
  See Also:
    `doSwitch(EObject)`

### caseContinueExp

    public T caseContinueExp(ContinueExp object)

  Returns the result of interpreting the object as an instance of 'Continue Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Continue Exp'.
  See Also:
    `doSwitch(EObject)`

### caseDictLiteralExp

    public T caseDictLiteralExp(DictLiteralExp object)

  Returns the result of interpreting the object as an instance of 'Dict Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dict Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseDictLiteralPart

    public T caseDictLiteralPart(DictLiteralPart object)

  Returns the result of interpreting the object as an instance of 'Dict Literal Part'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dict Literal Part'.
  See Also:
    `doSwitch(EObject)`

### caseDictionaryType

    public T caseDictionaryType(DictionaryType object)

  Returns the result of interpreting the object as an instance of 'Dictionary Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Dictionary Type'.
  See Also:
    `doSwitch(EObject)`

### caseForExp

    public T caseForExp(ForExp object)

  Returns the result of interpreting the object as an instance of 'For Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'For Exp'.
  See Also:
    `doSwitch(EObject)`

### caseImperativeExpression

    public T caseImperativeExpression(ImperativeExpression object)

  Returns the result of interpreting the object as an instance of 'Imperative Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Imperative Expression'.
  See Also:
    `doSwitch(EObject)`

### caseImperativeIterateExp

    public T caseImperativeIterateExp(ImperativeIterateExp object)

  Returns the result of interpreting the object as an instance of 'Imperative Iterate Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Imperative Iterate Exp'.
  See Also:
    `doSwitch(EObject)`

### caseImperativeLoopExp

    public T caseImperativeLoopExp(ImperativeLoopExp object)

  Returns the result of interpreting the object as an instance of 'Imperative Loop Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Imperative Loop Exp'.
  See Also:
    `doSwitch(EObject)`

### caseInstantiationExp

    public T caseInstantiationExp(InstantiationExp object)

  Returns the result of interpreting the object as an instance of 'Instantiation Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Instantiation Exp'.
  See Also:
    `doSwitch(EObject)`

### caseListLiteralExp

    public T caseListLiteralExp(ListLiteralExp object)

  Returns the result of interpreting the object as an instance of 'List Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Literal Exp'.
  Since:
    3.0
  See Also:
    `doSwitch(EObject)`

### caseListType

    public T caseListType(ListType object)

  Returns the result of interpreting the object as an instance of 'List Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'List Type'.
  See Also:
    `doSwitch(EObject)`

### caseLogExp

    public T caseLogExp(LogExp object)

  Returns the result of interpreting the object as an instance of 'Log Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Log Exp'.
  See Also:
    `doSwitch(EObject)`

### caseOrderedTupleLiteralExp

    public T caseOrderedTupleLiteralExp(OrderedTupleLiteralExp object)

  Returns the result of interpreting the object as an instance of 'Ordered Tuple Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordered Tuple Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseOrderedTupleLiteralPart

    public T caseOrderedTupleLiteralPart(OrderedTupleLiteralPart object)

  Returns the result of interpreting the object as an instance of 'Ordered Tuple Literal Part'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordered Tuple Literal Part'.
  See Also:
    `doSwitch(EObject)`

### caseOrderedTupleType

    public T caseOrderedTupleType(OrderedTupleType object)

  Returns the result of interpreting the object as an instance of 'Ordered Tuple Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Ordered Tuple Type'.
  See Also:
    `doSwitch(EObject)`

### caseRaiseExp

    public T caseRaiseExp(RaiseExp object)

  Returns the result of interpreting the object as an instance of 'Raise Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Raise Exp'.
  See Also:
    `doSwitch(EObject)`

### caseReturnExp

    public T caseReturnExp(ReturnExp object)

  Returns the result of interpreting the object as an instance of 'Return Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Return Exp'.
  See Also:
    `doSwitch(EObject)`

### caseSwitchExp

    public T caseSwitchExp(SwitchExp object)

  Returns the result of interpreting the object as an instance of 'Switch Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Switch Exp'.
  See Also:
    `doSwitch(EObject)`

### caseTryExp

    public T caseTryExp(TryExp object)

  Returns the result of interpreting the object as an instance of 'Try Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Try Exp'.
  See Also:
    `doSwitch(EObject)`

### caseTypedef

    public T caseTypedef(Typedef object)

  Returns the result of interpreting the object as an instance of 'Typedef'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typedef'.
  See Also:
    `doSwitch(EObject)`

### caseUnlinkExp

    public T caseUnlinkExp(UnlinkExp object)

  Returns the result of interpreting the object as an instance of 'Unlink Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unlink Exp'.
  See Also:
    `doSwitch(EObject)`

### caseUnpackExp

    public T caseUnpackExp(UnpackExp object)

  Returns the result of interpreting the object as an instance of 'Unpack Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Unpack Exp'.
  See Also:
    `doSwitch(EObject)`

### caseVariableInitExp

    public T caseVariableInitExp(VariableInitExp object)

  Returns the result of interpreting the object as an instance of 'Variable Init Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Variable Init Exp'.
  See Also:
    `doSwitch(EObject)`

### caseWhileExp

    public T caseWhileExp(WhileExp object)

  Returns the result of interpreting the object as an instance of 'While Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'While Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEModelElement

    public T caseEModelElement(EModelElement object)

  Returns the result of interpreting the object as an instance of 'EModel Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EModel Element'.
  See Also:
    `doSwitch(EObject)`

### caseENamedElement

    public T caseENamedElement(ENamedElement object)

  Returns the result of interpreting the object as an instance of 'ENamed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ENamed Element'.
  See Also:
    `doSwitch(EObject)`

### caseETypedElement

    public T caseETypedElement(ETypedElement object)

  Returns the result of interpreting the object as an instance of 'ETyped Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'ETyped Element'.
  See Also:
    `doSwitch(EObject)`

### caseTypedElement

    public <C> T caseTypedElement( object)

  Returns the result of interpreting the object as an instance of 'Typed Element'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed Element'.
  See Also:
    `doSwitch(EObject)`

### caseVisitable

    public T caseVisitable(Visitable object)

  Returns the result of interpreting the object as an instance of 'Visitable'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Visitable'.
  See Also:
    `doSwitch(EObject)`

### caseASTNode

    public T caseASTNode(ASTNode object)

  Returns the result of interpreting the object as an instance of 'AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseOCLExpression

    public <C> T caseOCLExpression( object)

  Returns the result of interpreting the object as an instance of 'OCL Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'OCL Expression'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_OCLExpression

    public T caseEcore_OCLExpression(org.eclipse.ocl.ecore.OCLExpression object)

  Returns the result of interpreting the object as an instance of 'OCL Expression'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'OCL Expression'.
  See Also:
    `doSwitch(EObject)`

### caseLiteralExp

    public <C> T caseLiteralExp( object)

  Returns the result of interpreting the object as an instance of 'Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_LiteralExp

    public T caseEcore_LiteralExp(org.eclipse.ocl.ecore.LiteralExp object)

  Returns the result of interpreting the object as an instance of 'Literal Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Literal Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEClassifier

    public T caseEClassifier(EClassifier object)

  Returns the result of interpreting the object as an instance of 'EClassifier'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EClassifier'.
  See Also:
    `doSwitch(EObject)`

### caseEDataType

    public T caseEDataType(EDataType object)

  Returns the result of interpreting the object as an instance of 'EData Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EData Type'.
  See Also:
    `doSwitch(EObject)`

### casePredefinedType

    public <O> T casePredefinedType( object)

  Returns the result of interpreting the object as an instance of 'Predefined Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Predefined Type'.
  See Also:
    `doSwitch(EObject)`

### caseTypedASTNode

    public T caseTypedASTNode(TypedASTNode object)

  Returns the result of interpreting the object as an instance of 'Typed AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Typed AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseCollectionType

    public <C,O> T caseCollectionType( object)

  Returns the result of interpreting the object as an instance of 'Collection Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Type'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_CollectionType

    public T caseEcore_CollectionType(org.eclipse.ocl.ecore.CollectionType object)

  Returns the result of interpreting the object as an instance of 'Collection Type'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Collection Type'.
  See Also:
    `doSwitch(EObject)`

### caseCallingASTNode

    public T caseCallingASTNode(CallingASTNode object)

  Returns the result of interpreting the object as an instance of 'Calling AST Node'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Calling AST Node'.
  See Also:
    `doSwitch(EObject)`

### caseCallExp

    public <C> T caseCallExp( object)

  Returns the result of interpreting the object as an instance of 'Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_CallExp

    public T caseEcore_CallExp(org.eclipse.ocl.ecore.CallExp object)

  Returns the result of interpreting the object as an instance of 'Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseLoopExp

    public <C,PM> T caseLoopExp( object)

  Returns the result of interpreting the object as an instance of 'Loop Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Loop Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_LoopExp

    public T caseEcore_LoopExp(org.eclipse.ocl.ecore.LoopExp object)

  Returns the result of interpreting the object as an instance of 'Loop Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Loop Exp'.
  See Also:
    `doSwitch(EObject)`

### caseFeatureCallExp

    public <C> T caseFeatureCallExp( object)

  Returns the result of interpreting the object as an instance of 'Feature Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_FeatureCallExp

    public T caseEcore_FeatureCallExp(org.eclipse.ocl.ecore.FeatureCallExp object)

  Returns the result of interpreting the object as an instance of 'Feature Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Feature Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseOperationCallExp

    public <C,O> T caseOperationCallExp( object)

  Returns the result of interpreting the object as an instance of 'Operation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEcore_OperationCallExp

    public T caseEcore_OperationCallExp(org.eclipse.ocl.ecore.OperationCallExp object)

  Returns the result of interpreting the object as an instance of 'Operation Call Exp'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'Operation Call Exp'.
  See Also:
    `doSwitch(EObject)`

### caseEClass

    public T caseEClass(EClass object)

  Returns the result of interpreting the object as an instance of 'EClass'. This implementation returns null; returning a non-null result will terminate the switch.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EClass'.
  See Also:
    `doSwitch(EObject)`

### defaultCase

    public T defaultCase(EObject object)

  Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.

  Parameters:
    `object` - the target of the switch.
  Returns:
    the result of interpreting the object as an instance of 'EObject'.
  See Also:
    `#doSwitch(org.eclipse.emf.ecore.EObject)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD